Subject: bug#39100: EBDB feature request: undo

From: Eric Abrahamsen <[email-masked]>
Date: Sun, 12 Jan 2020 09:13:13 -0800

[email-masked] (Jorge P. de Morais Neto) writes:

> Hi.  It would be nice to have undo in EBDB.  So far I have never
> suffered much for the lack of undo (it is only an inconvenience) and of
> course I leave it up to you to prioritize this feature, but it would be
> useful, though clearly not as important as e. g. better compatibility
> (import/export) with other formats.

Thanks for this.

Just for my own notes, the possible approaches to this right now are
keeping full copies of the previously-edited record in the record's
cache, and allowing the user to cycle through which record is "current",
and/or keeping track of specific field edits via something that looks
like vCard's synchronization mechanism:
https://tools.ietf.org/html/rfc6350#section-7